<?xml version="1.0" encoding="UTF-8"?>

<!-- Error Message: „Plugin execution not covered by lifecycle configuration: 
	com.jayway.maven.plugins.android.generation2:android-maven-plugin:3.8.2:consume-aar 
	(execution: default-consume-aar, phase: compile)“ can be ignored. 
	RM ->Quick Fix-> Mark goal consume-aar as ignored in Eclipse build in Eclipse 
	preferences (experimental) -> Finish 
	As written on http://stackoverflow.com/questions/21016211/error-in-maven-pom-xml-file 
	(2014-11-12) and http://wiki.eclipse.org/M2E_plugin_execution_not_covered 
	(214-11-12) this is a known Problem and the error could be ignored. -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.ugoe.cs.autoquest</groupId>
	<artifactId>autoquest-androidmonitor</artifactId>
	<version>0.1.2-SNAPSHOT</version>
	<packaging>apk</packaging>
	<name>autoquest-androidmonitor</name>

	<scm>
		<url>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/${project.artifactId}</url>
		<connection>scm:svn:https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/${project.artifactId}</connection>
	</scm>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<platform.version> 4.1.1.4
		</platform.version>
		<android.plugin.version>3.8.2</android.plugin.version>
	</properties>

	<distributionManagement>
		<snapshotRepository>
			<id>autoquest-snapshots</id>
			<url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/autoquest-snapshots</url>
		</snapshotRepository>
		<repository>
			<id>autoquest</id>
			<url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/autoquest-releases</url>
		</repository>
	</distributionManagement>

	<dependencies>
		<dependency>
			<groupId>com.google.android</groupId>
			<artifactId>android</artifactId>
			<version>${platform.version}</version>
			<scope>provided</scope>
		</dependency>
	</dependencies>
	<build>
		<finalName>${project.artifactId}</finalName>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>com.jayway.maven.plugins.android.generation2</groupId>
					<artifactId>android-maven-plugin</artifactId>
					<version>${android.plugin.version}</version>
					<extensions>true</extensions>
				</plugin>
				<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
				<plugin>
				    <groupId>org.eclipse.m2e</groupId>
				    <artifactId>lifecycle-mapping</artifactId>
				    <version>1.0.0</version>
				    <configuration>
				        <lifecycleMappingMetadata>
				            <pluginExecutions>
				                <pluginExecution>
				                    <pluginExecutionFilter>
				                        <groupId>
				                            com.jayway.maven.plugins.android.generation2
				                        </groupId>
				                        <artifactId>android-maven-plugin</artifactId>
				                        <versionRange>[3.8.2,)</versionRange>
				                        <goals>
				                            <goal>consume-aar</goal>
                                                            <goal>generate-sources</goal>
                                                            <goal>proguard</goal>
				                        </goals>
				                    </pluginExecutionFilter>
				                    <action>
				                        <ignore></ignore>
				                    </action>
				                </pluginExecution>
				            </pluginExecutions>
				        </lifecycleMappingMetadata>
				    </configuration>
				</plugin>
			</plugins>
		</pluginManagement>
		<plugins>

			<plugin>
				<groupId>com.jayway.maven.plugins.android.generation2</groupId>
				<artifactId>android-maven-plugin</artifactId>
				<configuration>
					<sdk>
						<platform>16</platform>
					</sdk>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>